// CFESOptions - [2020-04-13 11:57:46]
#ifndef _CFESOPTIONS_H_
#define _CFESOPTIONS_H_

#include "common.h"
#include "CFEScreen.h"
#include "CUITileManager.h"

/*
001534C8 CFESOptions::CFESOptions()
0012FBA8 CFESOptions::~CFESOptions()
0012EEE0 CFESOptions::Init()
0012F1D0 CFESOptions::SetupTiles()
0012F5AC CFESOptions::Exit()
0012F7BC CFESOptions::GetEnumFromIndex(int)
0012F7D4 CFESOptions::EnterSafeModeCB(int,void *)
0012F81C CFESOptions::Process()
0012FAA0 CFESOptions::ResetGameCB(int,void *)
0012FAD0 CFESOptions::Render2D()
0012FB18 CFESOptions::Render2DHUD()
*/

class CFESOptions : public CFEScreen {
public:
  CFESOptions();                             // 001534C8
  ~CFESOptions();                            // 0012FBA8
  void Init();                               // 0012EEE0
  void SetupTiles();                         // 0012F1D0
  void Exit();                               // 0012F5AC
  void GetEnumFromIndex(int);                // 0012F7BC
  static void EnterSafeModeCB(int, void *);  // 0012F7D4
  void Process();                            // 0012F81C
  static void ResetGameCB(int, void *);      // 0012FAA0
  void Render2D();                           // 0012FAD0
  void Render2DHUD();                        // 0012FB18

  TMetricsOptions field_10;
  int field_14;
  int field_18;
  int field_1C;
  char field_20;

  char field_21;
  char field_22;
  char field_23;
  TMetricsOptions *ptMetricsOptions_24[6];
  /*
  int *field_28;
  int * field_2C;
  CGameSettings* pSettings_30;
  TMetricsOptions*  pOptions_34[2];
*/
  int field_3C;
  int field_40;
  int field_44[8];
};

#endif  //_CFESOPTIONS_H_